Subject: Re: bug#72986: Disabling menu-bar-mode changes size of new frames

From: Reuben Thomas <[email-masked]>
Date: Wed, 6 Nov 2024 22:03:48 +0000

On Wed, 6 Nov 2024 at 08:48, martin rudalics <[email-masked]> wrote:

> In your first log for
>
> - Make the second frame with the default menu bar settings.
>
> there is this entry
>
>    9429: Nov 05 22:31:36 dwks gnome-shell[3900]: GEOMETRY: Constraining
> 0x5000318 in move from 0,0 1328x1308 to 0,0 400x456
>
> Can you please try to find that (or if it got removed a new
> corresponding entry) in journalctl and look there for the next entry
> whose first line should be
>
> Setting up constraint info:
>

Nov 05 22:31:36 dwks gnome-shell[3900]: GEOMETRY: Setting up constraint
info:
                                          orig: 0,0 1328x1308
                                          new : 0,0 400x456
                                          action_type     : Move&Resize
                                          is_user_action  : false
                                          resize_gravity  :
META_GRAVITY_NORTH_WEST
                                          fixed_directions: None
                                          work_area_monitor: 0,58 3840x2102
                                          entire_monitor   : 0,0 3840x2160

> It's number should obviously be 9430 but I have no idea how journalctl
> works.
>

Mostly, the newlines in the message confuse the grep!

-- 
https://rrt.sc3d.org